Name:           guile-lib
Version:        0.2.2
Release:        1%{?dist}
Summary:        A repository of useful code written in Guile Scheme
License:        GPLv3+
URL:            http://nongnu.org/guile-lib/
Source0:        http://download.savannah.gnu.org/releases/guile-lib/guile-lib-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  guile-devel
Requires:       guile
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Guile-Lib is intended as an accumulation place for pure-scheme
Guile modules, allowing for people to cooperate integrating
their generic Guile modules into a coherent library.
Think "a down-scaled, limited-scope CPAN for Guile".

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install CPPROG="cp -p"
rm -frv %{buildroot}%{_infodir}/dir

%check
make check || exit 0

%post
install-info %{_infodir}/guile-library.info.gz %{_infodir}/dir || :

%preun
if [ "$1" = 0 ] ; then
       install-info --delete %{_infodir}/guile-library.info.gz %{_infodir}/dir || :
fi

%files
%doc AUTHORS NEWS README TODO
%license COPYING
%{_datadir}/guile/site/apicheck.go
%{_datadir}/guile/site/apicheck.scm
%{_datadir}/guile/site/compat/guile-2.go
%{_datadir}/guile/site/compat/guile-2.scm
%{_datadir}/guile/site/config/load.go
%{_datadir}/guile/site/config/load.scm
%{_datadir}/guile/site/container/async-queue.go
%{_datadir}/guile/site/container/async-queue.scm
%{_datadir}/guile/site/container/delay-tree.go
%{_datadir}/guile/site/container/delay-tree.scm
%{_datadir}/guile/site/container/nodal-tree.go
%{_datadir}/guile/site/container/nodal-tree.scm
%{_datadir}/guile/site/debugging/assert.go
%{_datadir}/guile/site/debugging/assert.scm
%{_datadir}/guile/site/debugging/time.go
%{_datadir}/guile/site/debugging/time.scm
%{_datadir}/guile/site/graph/topological-sort.go
%{_datadir}/guile/site/graph/topological-sort.scm
%{_datadir}/guile/site/htmlprag.go
%{_datadir}/guile/site/htmlprag.scm
%{_datadir}/guile/site/io/string.go
%{_datadir}/guile/site/io/string.scm
%{_datadir}/guile/site/logging/logger.go
%{_datadir}/guile/site/logging/logger.scm
%{_datadir}/guile/site/logging/port-log.go
%{_datadir}/guile/site/logging/port-log.scm
%{_datadir}/guile/site/logging/rotating-log.go
%{_datadir}/guile/site/logging/rotating-log.scm
%{_datadir}/guile/site/match-bind.go
%{_datadir}/guile/site/match-bind.scm
%{_datadir}/guile/site/math/minima.go
%{_datadir}/guile/site/math/minima.scm
%{_datadir}/guile/site/math/primes.go
%{_datadir}/guile/site/math/primes.scm
%{_datadir}/guile/site/md5.go
%{_datadir}/guile/site/md5.scm
%{_datadir}/guile/site/os/process.go
%{_datadir}/guile/site/os/process.scm
%{_datadir}/guile/site/scheme/documentation.go
%{_datadir}/guile/site/scheme/documentation.scm
%{_datadir}/guile/site/scheme/kwargs.go
%{_datadir}/guile/site/scheme/kwargs.scm
%{_datadir}/guile/site/search/basic.go
%{_datadir}/guile/site/search/basic.scm
%{_datadir}/guile/site/string/completion.go
%{_datadir}/guile/site/string/completion.scm
%{_datadir}/guile/site/string/soundex.go
%{_datadir}/guile/site/string/soundex.scm
%{_datadir}/guile/site/string/transform.go
%{_datadir}/guile/site/string/transform.scm
%{_datadir}/guile/site/string/wrap.go
%{_datadir}/guile/site/string/wrap.scm
%{_datadir}/guile/site/term/ansi-color.go
%{_datadir}/guile/site/term/ansi-color.scm
%{_datadir}/guile/site/texinfo/nodal-tree.go
%{_datadir}/guile/site/texinfo/nodal-tree.scm
%{_datadir}/guile/site/text/parse-lalr.go
%{_datadir}/guile/site/text/parse-lalr.scm
%{_datadir}/guile/site/unit-test.go
%{_datadir}/guile/site/unit-test.scm
%{_infodir}/*.info.gz

%changelog
* Wed Jul 02 2014 Christopher Meng <rpm@cicku.me> - 0.2.2-1
- Update to 0.2.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 01 2008 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.6-1
- Updated Release.

* Wed Aug 01 2007 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.4-4
- Managed Timestamp.
- Added guile as Requires.

* Wed Aug 01 2007 Xavier Lamien <lxtnow[at]gmail.com> - 0.1.4-3
- additional fix.

* Tue Jul 31 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.1.4-2
- minor fixes to make gwave work.

* Sun Jul 22 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.1.4-1
- Initial RPM release.
